<?php
use \Illuminate\Database\Capsule\Manager as Capsule;

$domain = null;
$status = null;

if (isset($_GET['status'])) {
    $status = $_GET['status'];
}
else
    $status = 'all';
if (isset($_GET['domain'])) {
    $domain = trim($_GET['domain']);
}

$q = Capsule::table('mod_joker_trxlog')
    ->orderBy('id', 'DESC');




if ($status!='all')
    $q->where('status', '=', $status);

if ($domain) {
    $q->where('domain', '=', $domain);
}
$page = 1;
if(isset($_POST['page']))
{
    $page = $_POST['page'];
}
$limit = 15;
$count = $q->count();
$startIndex = ($page -1 )* $limit;
$q->limit($limit);
$q->offset($startIndex);
$logs = $q->select()->get();
$totalPages = ceil($count/$limit);
?>
<script type="text/javascript">
    function show_page(id, type) {

        if (type != 'result')
            type = 'data';
        win = window.open('', 'data', "scrollbars=1,width=400,height=600");

        var data = $('#' + type + '-' + id).val();

        var data = $('<div>').text(data).html();

        win.document.write('<pre>' + data + '</pre>');
    }
</script>
<form id="search"  style="display: inline-block" action="<?= $modulelink ?>">
    Domain: <input type="text" name="domain" value="<?= $domain ?>"><br>
    Status: <select name="status" id=""><br>
        <option <?php if ($status=='all') { ?> selected <?php } ?> > all</option>
        <option <?php if ($status=='new') { ?> selected <?php } ?> > new</option>
        <option <?php if ($status=='pending') { ?> selected <?php } ?>> pending</option>
        <option <?php if ($status=='success') { ?> selected <?php } ?>> success</option>
        <option <?php if ($status=='failed') { ?> selected <?php } ?>> failed</option>

    </select>
    <input type="hidden" name="module" value="is_joker">
    <button type="submit">filter</button>
</form>

<table>
    <tr>
        <td>
            <form id="pages" method="post" action="">
                <select name="page" onchange="submit()">
                    <?php for ($i = 1;$i <= $totalPages ; $i++) {?>
                    <option value="<?= $i ?>"  <?php if($i == $page) {?> selected="" <?php }?>><?= $i ?></option>
                    <?php }?>
                </select> <input type="submit" value="filter" class="btn btn-xs btn-default">
            </form>


        </td>
    </tr>
</table>
<table class="datatable" width="100%" border="0" cellspacing="1" cellpadding="3">

    <tr>
        <th>domain</th>
        <th>request</th>
        <th>status</th>
        <th>track-id</th>
        <th>proc-id</th>
        <th>Date</th>
        <th>Admin User</th>
        <th>Client User</th>
        <th>Data</th>
    </tr>

    <? foreach ($logs as $item): ?>

        <tr>
            <td>
                <form target="_blank" action="clientsdomainlist.php" method="post">


                    <input type="hidden" name="domain" size="35" value="<?= $item->domain ?>">


                    <input type="submit" value="<?= $item->domain ?>" class="btn btn-default">


                </form>
            </td>
            <td> <?= $item->request ?></td>
            <td> <?= $item->status ?></td>
            <td>
                <? if ($item->result) { ?>

                    <input type="hidden" value="<?= htmlspecialchars($item->result) ?>" id="result-<?= $item->id ?>">

                    <a onclick="show_page(<?= $item->id ?> , 'result' )"
                       href="javascript:void(0)"> <?= $item->trackid ?> </a>
                <?php } else { ?>
                    <?= $item->trackid ?>
                <?php } ?>
            </td>
            <td> <?= $item->procid ?></td>
            <td> <?= $item->created_at ?></td>
            <td><a target="_blank"
                   href="configadmins.php?action=manage&id=<?= $item->adminid ?>"><?= $item->adminid ?></a></td>
            <td><a target="_blank" href="clientssummary.php?userid=<?= $item->userid ?>"> <?= $item->userid ?></a></td>

            <td><input type="hidden" value="<?= htmlspecialchars($item->data) ?>" id="data-<?= $item->id ?>">
                <button onclick="show_page(<?= $item->id ?> )">data</button>
            </td>


        </tr>
    <?php endforeach; ?>
</table>
